> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/restore-rdmentryhistory.md).

# Restore-RDMEntryHistory

Restore-RDMEntryHistory setzt einen aktiven Remote Desktop Manager-Eintrag auf eine seiner vorherigen Versionen zurück.

### Übersicht

Einen Eintrag auf eine frühere Version zurücksetzen

### Syntax

#### \_\_AllParameterSets

```
Restore-RDMEntryHistory [-History] <PSConnectionHistory> [-PassThru]
 [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Beschreibung

Einen aktiven Eintrag auf eine seiner vorherigen Versionen zurücksetzen, abgerufen von Get-RDMEntryHistory. Der aktuelle Passwortverlauf bleibt erhalten und das eingebettete Dokument der Version, falls vorhanden, wird wiederhergestellt. Wenn der Ordner der Version vom aktuellen Ordner des Eintrags abweicht, behält der Eintrag seinen aktuellen Ordner und es wird eine Warnung ausgegeben, anstatt der interaktiven Aufforderung des Windows-Clients.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> Get-RDMEntryHistory -InputObject $id | Where-Object ModifiedDate -eq $target | Restore-RDMEntryHistory -PassThru
```

Den Eintrag auf eine bestimmte Version zurücksetzen und den zurückgesetzten Eintrag zurückgeben.

#### Beispiel 2

```powershell
PS C:\> $currentUserName = ([xml](Get-RDMEntry $id | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
        foreach ($version in Get-RDMEntryHistory -InputObject $id) {
            $versionUserName = ([xml]($version | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
            if ($versionUserName -eq $currentUserName) {
                continue
            }
            $version | Restore-RDMEntryHistory
            break
        }
```

Den Eintrag auf die letzte Version vor der Änderung seines Benutzernamens zurücksetzen.

### Parameter

#### -Confirm

Fordert vor der Ausführung des Cmdlets eine Bestätigung an.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Mit Vorsicht zu verwendender Schalter. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die zulässigen Werte:

* Yes: Die Eingabeaufforderung annehmen. Deckt die Werte OK und Automatic ab.
* No: Die Ja/Nein/Abbrechen-Eingabeaufforderung ablehnen. "Cancel" ist die Ausweichoption, wenn keine "No"-Option vorhanden ist.
* Cancel: Die Ja/Nein/Abbrechen-Eingabeaufforderung abbrechen. "No" ist die Ausweichoption, wenn keine "Cancel"-Option vorhanden ist.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -History

Die Version, auf die zurückgesetzt wird, abgerufen von Get-RDMEntryHistory

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Den zurückgesetzten Eintrag zurückgeben.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Zeigt, was passieren würde, wenn das Cmdlet ausgeführt würde. Das Cmdlet wird nicht ausgeführt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Eingaben

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory

Eine Version, abgerufen von Get-RDMEntryHistory

### Ausgaben

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Der zurückgesetzte Eintrag, wenn -PassThru angegeben ist

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Restore-RDMEntryHistory -detailed". Technische Informationen erhalten Sie mit "Get-Help Restore-RDMEntryHistory -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/restore-rdmentryhistory.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
